﻿@model MvcWebsiteOcc.Models.Group

@{
    ViewBag.Title = "Chỉnh sửa nhóm quyền";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    @Html.HiddenFor(m => m.GroupID)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/systems_manager/roles_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div id="registration-form">

                        <div class="row">
                            <div class="col-lg-6 col-sm-6 col-xs-12">
                                <div class="form-title">
                                    Thông tin nhóm quyền
                                </div>
                                <div class="form-group">
                                    <span class="input-icon icon-right">
                                        @*   <input type="text" class="form-control" id="userameInput" placeholder="Tên nhóm quyền">*@
                                        @Html.TextBoxFor(p => p.GroupName, new { @class = "form-control", placeholder = "Tên nhóm quyền" })
                                        <i class="glyphicon glyphicon-user circular"></i>
                                    </span>
                                    <span class="help-block warning">@Html.ValidationMessageFor(p => p.GroupName)</span>
                                </div>
                                <div class="form-group">
                                    <label for="emailInput">Mô tả</label>
                                    <span class="input-icon icon-right">
                                        @*<textarea class="form-control" id="textareaanimated" placeholder="Giới thiệu về nhóm quyền"></textarea>*@
                                        @Html.TextAreaFor(p => p.Description, new { placeholder = "Giới thiệu về nhóm quyền", @class = "form-control textAuto" })

                                        <i class="fa  fa-stack-exchange circular"></i>
                                    </span>
                                </div>
                            </div>

                            <div class="col-lg-6 col-sm-6 col-xs-12">
                                <div class="form-title">
                                    Phân quyền
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <span class="help-block">Có thể phân nhiều quyền cho nhóm. <b>Mặc định: Quyền đọc/xem dữ liệu !</b></span>
                                    </div>
                                </div>
                                @{IEnumerable<MvcWebsiteOcc.Models.Role> roles = ViewBag.Roles;
                                  IEnumerable<MvcWebsiteOcc.Models.GroupRole> groles = ViewBag.GroupRoles;
                                }
                                @{foreach (var role in roles)
                                  {
                                      var checkgRole = groles.FirstOrDefault(p => p.RoleID == role.RoleID && p.GroupID == Model.GroupID);
                                      if (checkgRole != null)
                                      {
                                          //if role is super admin
                                          if (role.RoleName == "superadmin")
                                          {
                                              
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input checked="checked" id="RoleID" class="colored-danger" name="RoleID" type="checkbox" value="@role.RoleID" />
                                                <input type="hidden" value="false" /><span class="text">@role.RoleNameDes</span></label>
                                        </div>
                                    </div> 
                                          }


                                          if (role.RoleName != "superadmin")
                                          {

                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input checked="checked" id="RoleID" class="inverted" name="RoleID" type="checkbox" value="@role.RoleID" />
                                                <input type="hidden" value="false" /><span class="text">@role.RoleNameDes</span></label>
                                        </div>
                                    </div> 
                                              
                                          }
                                      }
                                      else
                                      {
                                          //if role is super admin
                                          if (role.RoleName == "superadmin")
                                          {
                                              
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input id="RoleID" class="colored-danger" name="RoleID" type="checkbox" value="@role.RoleID" />
                                                <input type="hidden" value="false" /><span class="text">@role.RoleNameDes</span></label>
                                        </div>
                                    </div> 
                                          }


                                          if (role.RoleName != "superadmin")
                                          {

                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="checkbox">
                                            <label>
                                                <input id="RoleID" class="inverted" name="RoleID" type="checkbox" value="@role.RoleID" />
                                                <input type="hidden" value="false" /><span class="text">@role.RoleNameDes</span></label>
                                        </div>
                                    </div> 
                                              
                                          }
                                      }

                                  }
                                }

                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
    
}

@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {
            $("#systems").addClass("active open");
            $("#roles").addClass("active");
        });

    </script>

}